ADMIN - Support #10919

move /nusoft/app/htdoc/minos to /web/sites/minos.fnal.gov
11/12/2015 12:54 PM - Arthur Kreymer

Status: Resolved Start date: 11/12/2015
Priority: Normal Due date:

Assignee: Arthur Kreymer % Done: 0%
Category: Estimated time: 40.00 hours
Target version: Spent time: 37.40 hours
Description

We need to move /nusoft/app/htdoc/minos to /web/sites/minos.fnal.gov
This is due by Nov 20, this year.
This is part of the shutdown of the old Sun web servers.

Subtasks:
Support # 10921: ND DCS, DAQ, and Timing web pages all run on nusoft space New

History

#1 - 11/13/2015 02:33 PM - Arthur Kreymer

What | think we might do right now is to rsync
/nusoft/app/web/htdoc/minos
to /web/sites/minos.fnal.gov/htdocs/nusoft

This way all present scripts can continue to push content,
we can update them later.

We first need to trim down controlroom/daqglogs

du -sm /nusoft/app/web/htdoc/minos/controlroom/daglogs/*
112674 /nusoft/app/web/htdoc/minos/controlroom/daglogs/FAR
22141 /nusoft/app/web/htdoc/minos/controlroom/daglogs/NEAR

| have already made a static copy of /nusoft/app/web/cgi-bin/minos
to /web/sites/minos.fnal.gov/cgi-bin

fluffy.cgi and status work,
the other seem to depend on paths that will shift.

#2 - 11/13/2015 02:44 PM - Arthur Kreymer

Date: Fri, 13 Nov 2015 14:34:40 -0600
From: William F Badgett Jr <badgett@fnal.gov>

On what machines is "/web/sites" mounted?

Just our SLF6 systems,
minos60-63, minos-data, minos-nearline, minos-slfé

Too ambitious to write to it directlry right now, | think,
Setting up an rsync from the old nusoft for now.

#3 - 11/13/2015 03:25 PM - Arthur Kreymer

Date: Fri, 13 Nov 2015 15:14:07 -0600
From: William F Badgett Jr <badgett@fnal.gov>

What will be the new write mechanism to the /web/sites directories?

Looks like everything is owned by "nobody:nobody" and not even readable

Date: Fri, 13 Nov 2015 15:19:09 -0600
From: Marc W Mengel <mengel@fnal.gov>

http://cd-docdb.fnal.gov/cgi-bin/RetrieveFile ?docid=5375&filename=CWS%20Content%20Access%20Instructions.pdf&version=1

For now, | plan to set up an rsync from the old area to the new one,
initially using my kerberos ticket, then soon a project keytab .
Most of our process can continue writing to the old areas
without modification in short term.

#4 - 11/16/2015 05:04 PM - Arthur Kreymer

The certificate seems to work for access to minos.fnal.gov .
KEYTAB=/opt/mindata/kt
export KRB5CCNAME=FILE:/tmp/krb5cc_minos_nusoftweb

KINIT=/usr/krb5/bin/kinit
${KINIT} -5 -A -k -t ${KEYTAB} ${PRINCIPAL}

| will start setting up an rsync.

First want to trim the content a bit,
mainly pre-shutdown controlroom/daglogs/FAR/om/rootfiles ( 100 GB )

#5 - 11/19/2015 12:05 PM - Arthur Kreymer

Preliminary scan of nusoft content,
finding large things that are not needed on the web.

OVERALL

cd /nusoft/app/web/htdoc/minos
du -sm * # omitting smaller areas

10052 beammonspill
57286 calibration
135159 controlroom
44310 OnlineMonitoring
9863 OnlineMonitoringFD
OM

du -sm OnlineMonitoring/OnlineMonitoringPlots/*
44292 OnlineMonitoring/OnlineMonitoringPlots/plots

2669 directories in plots, these have png images.
CALIBRATION
48313 FdLinearityFitWorkspace
du -sm /nusoft/app/web/htdoc/minos/calibration/FdLinearityFitWorkspace/*

246 /nusoft/app/web/htdoc/minos/calibration/FdLinearityFitWorkspace/fdfit-2008-06
315 /nusoft/app/web/htdoc/minos/calibration/FdLinearityFitWorkspace/fdfit-2008-07

du -sm /nusoft/app/web/htdoc/minos/calibration/NdLinearityFitWorkspace/*

40 /nusoft/app/web/htdoc/minos/calibration/NdLinearityFitWorkspace/ndfit-2007-08

42 /nusoft/app/web/htdoc/minos/calibration/NdLinearityFitWorkspace/ndfit-2007-09

44 /nusoft/app/web/htdoc/minos/calibration/NdLinearityFitWorkspace/ndfit-2007-11
DAQLOGS

du —-sm NEAR/*

3 NEAR/dagMessage.txt
69 NEAR/dbu

1163 NEAR/dds

2449 NEAR/msglog

17771 NEAR/om

757 NEAR/timing

0 NEAR/TouchMe

1 NEAR/om/postscript
17734 NEAR/om/rootfiles
37 NEAR/om/summaries

9009 root files typically 4 MB, Since Aug 2012

du —-sm FAR/*
346 FAR/dbu

170 FAR/dds
2926 FAR/msglog
106158 FAR/om
1 FAR/test.html
3147 FAR/timing
0 FAR/TouchMe

6880 root files up to 25 MB Since Aug 2012

#6 - 11/23/2015 04:42 PM - Arthur Kreymer

| copied the large rootfiles directories from the web tree to the general data area,
creating a symlink for compatibility.
This will free up about 120 GB of web space.

Directories were
NUN=/nusoft/app/web/htdoc/minos/controlroom/daglogs/NEAR/om/rootfiles
MDN=/minos/data/controlroom/daglogs/NEAR/om/rootfiles

NUF=/nusoft/app/web/htdoc/minos/controlroom/daglogs/FAR/om/rooffiles
MDF=/minos/data/controlroom/daglogs/FAR/om/rootfiles

Copies were done around 14:05 for ND and 15:26 for FD.
The original rootfiles directories were renamed rootfiles-REMOVED.

| will leave these in place for a fallback for a day,

then remove them and copy /nusoft/app/web/htdoc/minos
to /web/sites/minos.fnal.gov/nusoft

for testing.

#7 - 11/30/2015 06:03 PM - Arthur Kreymer

Here is a summary of advice received last week from Andy Romero.

Access to /web/sites/* is via a special kernel kerberos ticket
that behaves differently than the customary kerberos ticket file.
Perhaps because the kernel is accessing the files, not the user processes.

There is a single kernel structure containing the current kerberos ticket

for each account.

In a shared account we use a project principal to access the web areas.

An interactive login with a forwarded user ticket can override this in the kernel,
possibily removing access to the web area.

The recommended solution is to do a few things :

e Use an account/host not likely to be used for other work

o At present, we are using minos@minos60 for controlroom updates
¢ Do not forward user tickets when logging into that account
e Set KRB5CCNAME in the .bash_profile for tha account being used

o for minos60 , probably should do

HOST="hostname -s"
[ "${HOST}" == 'minosgpvm04' ] && export KRB5CCNAME=FILE:/tmp/krb5cc_minos_web
* set up a cron job to keep this ticket up to date several times a day

o make a kinweb script in ~/bin

#!/bin/sh

export KRBSCCNAME=FILE:/tmp/krb5cc_minos_web
KEYTAB=/opt/minos/minos-om.keytab
PRINCIPAL=minos-wh-cr/minos/minos—om.fnal.gov@FNAL.GOV
KINIT=/usr/krb5/bin/kinit

${KINIT} -5 -A -k -t ${KEYTAB} S${PRINCIPAL}

o run this via cron

01 02,10,18 * * * ${HOME}/bin/kinweb

| will to ask ECF/SSI to create /opt/minos on all servers

#8 - 12/04/2015 12:02 PM - Arthur Kreymer

Here's a summary of scans of various areas in nusoft/app/web/htdoc/minos
DATA > du —-sm *
153 acclog
54 admin
37 beamdata
10052 beammonspill
19 bfield
8 bluwatch
1787 cal
57651 calibration
56 condor
19800 controlroom
2356 database
233 DataQuality
2295 dcache
12 farmgsum
98499 FDomroot
1 images
144 jira
635 maint
1 mcas
1 MinosBatch_AtAGlance
17921 NDomroot
202 OldMinosLEDataQualityWebsite
45761 OnlineMonitoring
10331 OnlineMonitoringFD
946 OnlineMonitoring.old
66 predator
1 prodmon
708 validation
1 vault
596 WebDocs

Searched for recent changes 11/24, found mainly

acclog

calibration/DriftInfo
calibration/NdLinearityFitWorkspace
calibration/FdLinearityFitWorkspace
database/topdb

dcache/poolsum

validation

DataQuality

predator

beamdata

OnlineMonitoring

#9 - 12/04/2015 01:47 PM - Arthur Kreymer

- Subject changed from move /nusoft/app/htdoc/minos to /web/sites/minos.fnal.gov to amove /nusoft/app/htdoc/minos to /web/sites/minos.fnal.gov

| created https://cdcvs.fnal.gov/redmine/projects/admin/wiki/MNS-NUSOFT-WEB
to track the overlall status.

#10 - 12/09/2015 02:01 PM - Arthur Kreymer

| will add an executive summary of advice given so far on nusoft web migration
to https://cdcvs.fnal.gov/redmine/projects/admin/wiki/MNS-NUSOFT-WEB

Added rui to the watch list of this Issue.

#11 - 12/22/2015 05:36 PM - Arthur Kreymer

| have started updating documentation at
https://cdcvs.fnal.gov/redmine/projects/admin/wiki/MNS-NUSOFT-WEB

Will continue after the holidays.

#12 - 03/19/2020 11:34 AM - Arthur Kreymer
- Estimated time set to 40.00 h
- Status changed from New to Assigned

- Subject changed from amove /nusoft/app/htdoc/minos to /web/sites/minos.fnal.gov to move /nusoft/app/htdoc/minos to /web/sites/minos.fnal.gov

05/03/2021 4/11


https://cdcvs.fnal.gov/redmine/projects/admin/wiki/MNS-NUSOFT-WEB
https://cdcvs.fnal.gov/redmine/projects/admin/wiki/MNS-NUSOFT-WEB
https://cdcvs.fnal.gov/redmine/projects/admin/wiki/MNS-NUSOFT-WEB

| am starting to work on this, after a long period of neglect.

| retired in late 2016, but will help with this project,
as it is related to data preservation.

There is an immediate need to free space on the /nusoft/app server.
#13 - 03/19/2020 11:44 AM - Arthur Kreymer
There have been major changes since late 2015 when this project went idle :

The /nusoft/app area remained online after the 2015 shutdown of Sun servers.

The area was moved to new Linux servers, removing the immediate need to migrate.

We established a new /minos/data/web area, served at https://minos.fnal.gov/data
to which the /nusoft/app/web/htdoc/minos files can move.

#14 - 03/19/2020 01:22 PM - Arthur Kreymer

- Status changed from Assigned to Work in progress

| verified that all the files in /nusoft/app/web/htdoc/minos/MOVED
are present in /minos/data, and removed those directories.
This freed up about 100 GB of space

Details :

NUN=/nusoft/app/web/htdoc/minos/controlroom/daglogs/NEAR/om/rootfiles

MDN=/minos/data/controlroom/daglogs/NEAR/om/rootfiles

NUF=/nusoft/app/web/htdoc/minos/controlroom/daglogs/FAR/om/rootfiles

MDF=/minos/data/controlroom/daglogs/FAR/om/rootfiles

DATA > du -sm /nusoft/app/web/htdoc/minos/MOVED/ *
98598 /nusoft/app/web/htdoc/minos/MOVED/omroot-FARDET
18063 /nusoft/app/web/htdoc/minos/MOVED/omroot-NEARDET

DATA > du -sm $MDF $MDN
112456 /minos/data/controlroom/daglogs/FAR/om/rootfiles
39814 /minos/data/controlroom/daglogs/NEAR/om/rootfiles

ls /nusoft/app/web/htdoc/minos/MOVED/omroot-FARDET | wc -1
6907

ls ${MDF} | wc -1

7771

1s /nusoft/app/web/htdoc/minos/MOVED/omroot—-NEARDET | wc -1
9089

1ls ${MDN} | wc -1

18377

Many files were written to the rootfiles areas after the originals moved.

cd /nusoft/app/web/htdoc/minos/MOVED
diff -r omroot-NEARDET ${MDN} | tee /dev/shm/Ndiff

wc -1 /dev/shm/Ndiff
9289 /dev/shm/Ndiff

head -5 /dev/shm/Ndiff

Only
Only
Only
Only
Only

grep

diff

in
in
in
in
in

/minos/data/controlroom/daglogs/NEAR/om/rootfiles:
/minos/data/controlroom/daglogs/NEAR/om/rootfiles:
/minos/data/controlroom/daglogs/NEAR/om/rootfiles:
/minos/data/controlroom/daglogs/NEAR/om/rootfiles:
/minos/data/controlroom/daglogs/NEAR/om/rootfiles:

'Only in /minos/data' /dev/shm/Ndiff

omroot—-FARDET ${MDF} | tee /dev/shm/Fdiff
.htaccess

mon_rootfile_62921_phys.
mon_rootfile_63294_phys.
mon_rootfile_63295_phys.
mon_rootfile_63296_phys.

root
root
root
root
wc -1 /dev/shm/Fdiff
864 /dev/shm/Fdiff

head -5 /dev/shm/Fdiff

Only in /minos/data/controlroom/daglogs/FAR/om/rootfiles: mon_rootfile_63617_phys.root
Only in /minos/data/controlroom/daglogs/FAR/om/rootfiles: mon_rootfile_63618_cinj.root
Only in /minos/data/controlroom/daglogs/FAR/om/rootfiles: mon_rootfile_63619_ped.root
Only in /minos/data/controlroom/daglogs/FAR/om/rootfiles: mon_rootfile_63620_phys.root
Only in /minos/data/controlroom/daglogs/FAR/om/rootfiles: mon_rootfile_63621_cinj.root

grep -v 'Only in /minos/data' /dev/shm/Fdiff

df -h .
Filesystem Size Used Avail Use% Mounted on
if-nas-0.fnal.gov:/nusoft/app

1.8T 1.6T 243G 87% /nusoft/app

rm —-r omroot—-FARDET

rm —-r omroot—NEARDET

date

Thu Mar 19 13:17:59 CDT 2020

df -h .
Filesystem Size Used Avail Use% Mounted on
if-nas-0.fnal.gov:/nusoft/app

1.8T 1.5T 357G 81% /nusoft/app

UPDATED THIS 2020-09-28 AFTER REMOVAL OF ALL MINOS FILES

df -h .
Filesystem Size Used Avail Use$% Mounted on
homesrv0l.fnal.gov:/home 2.9T 2.3T 573G 81% /nashome

#15 - 03/23/2020 04:07 PM - Arthur Kreymer

Here is an assessment of recently modified nusoft minos files.

time find /nusoft/app/web/htdoc/minos -type f -mtime -100
/nusoft/app/web/htdoc/minos/calibration/GainReports/FD/1083/.bad_aggregates.png.yrZIPE
/nusoft/app/web/htdoc/minos/calibration/GainReports/FD/560/.gainreports.root.8PQFNs
/nusoft/app/web/htdoc/minos/calibration/GainReports/FD/1317/.bad_aggregates.png.Oed230
/nusoft/app/web/htdoc/minos/farmgsum/FGS
/nusoft/app/web/htdoc/minos/farmgsum/2019/sum.2019121400
/nusoft/app/web/htdoc/minos/farmgsum/2019/sum.2019121500

/nusoft/app/web/htdoc/minos/farmgsum/2020/sum.2020032200
real 74m7.750s

user 0m6.213s

sys 1m28.301s

The non-farmgsum files are empty files with future dates :
FILES='

1083/.bad_aggregates.png.yrZIPE
560/.gainreports.root.8PQFNs
1317/.bad_aggregates.png.Oed230

cd /nusoft/app/web/htdoc/minos/calibration/GainReports/FD
Is -1 ${FILES} ;}

-rwxrwxrwx 1 mindata e875 0 Jul 20 2084 1083/.bad_aggregates.png.yrZIPE
-rwxrwxrwx 1 jtodd2 e875 0 Nov 22 2062 1317/.bad_aggregates.png.Oed230
-rwxrwxrwx 1 mindata e875 0 Jul 15 2084 560/.gainreports.root.8PQFNs

| have removed these damaged files.

| will move the farmgsum process to log to /minos/data/web/computing/dh/minfarm
#16 - 03/23/2020 04:11 PM - Arthur Kreymer

The farmgsum files are written by this mindata crontab entry on minos-data.fnal.gov

crontab -1 | grep farmg
15 00 * * * /grid/fermiapp/minos/scripts/farmgsum_log quiet
cp —a farmgsum_log farmgsum_log.20150101

changeed farmgsum_log LOG area from
LOG=/nusoft/app/web/htdoc/minos/farmgsum

to
/minos/data/web/computing/dh/farmgsum

du -sm /nusoft/app/web/htdoc/minos/farmgsum
136 /nusoft/app/web/htdoc/minos/farmgsum

COPIED OLD FILES

date
cp —a /nusoft/app/web/htdoc/minos/farmgsum /minos/data/web/computing/dh/farmgsum

Mon Mar 23 15:17:08 CDT 2020
diff -r /nusoft/app/web/htdoc/minos/farmgsum /minos/data/web/computing/dh/farmgsum

du -sm /minos/data/web/computing/dh/farmgsum
136 /minos/data/web/computing/dh/farmgsum

date
/grid/fermiapp/minos/scripts/farmgsum_log

Summarizing /minos/data/minfarm/*cat Mon Mar 23 15:19:38 CDT 2020

https://minos.fnal.gov/data/computing/dh/farmgsum/2020/sum.2020032315

I will wait for the cron job to run tonight, then remove
/nusoft/app/web/htdoc/minos/farmgsum/nusoft/app/web/htdoc/minos/farmgsum

#17 - 03/25/2020 12:20 AM - Arthur Kreymer
removed nusoft farmgsum files
mindata@minos—-data.fnal.gov
diff -r /nusoft/app/web/htdoc/minos/farmgsum /minos/data/web/computing/dh/farmgsum
Only in /minos/data/web/computing/dh/farmgsum/2020: sum.2020032315
Only in /minos/data/web/computing/dh/farmgsum/2020: sum.2020032400

diff -r /nusoft/app/web/htdoc/minos/farmgsum/FGS /minos/data/web/computing/dh/farmgsum/FGS
2c2

< Summarizing /minos/data/minfarm/*cat Mon Mar 23 00:15:01 CDT 2020
> Summarizing /minos/data/minfarm/*cat Tue Mar 24 00:15:02 CDT 2020
date

rm -r /nusoft/app/web/htdoc/minos/farmgsum
Tue Mar 24 23:56:33 CDT 2020

#18 - 04/05/2020 10:59 PM - Arthur Kreymer

| updated the plan at https:/cdcvs.fnal.gov/redmine/projects/admin/wiki/MNS-NUSOFT-WEB
Directory sizes had been sadly out of date, vintage 2015.

| removed the tiny admin directory, no longer needed.

I moved the largest area, OnlineMonitoring, over 100 GB.
Renamed the original under MOVED, will remove MOVED/* after about a week.

The calibration area will move last.
It has thousands of html files with explicit links to nusoft.
Calibrations scripts should be updated to use relative links.

#19 - 04/08/2020 12:52 AM - Arthur Kreymer

All but two directories have been copied to /minos/data/web,
and moved into the /nusoft/app/web/htdoc/minos/MOVED pending deletion.
Two areas remain :
calibration - need to review file ownership
controlroom - need to review existing partial move

#20 - 04/08/2020 10:00 AM - Arthur Kreymer

controlroom was moved today.
Ownership of the files was minos, and is now mindata.

There was already an active controlroom/webdcs area.
This was retained,he moved.
The copied webdcs area was renamed webdcs-2017

The last remaining area to move is calibration.

There are over 1000 calibration html files with explicit links to nusoft.
These links will need to be corrected after the copies are made.
Calibration scripts may need to be updated.

#21 - 04/14/2020 06:44 PM - Arthur Kreymer

| created a stash of all original calibration *.html and *.htm files
The copy is in /minos/data/web/nusoft/html/calibration.
| am making fair progress removing http:/nusoft references in the copied files.

| removed the minos account crontab on minos-nearline.
This had been running TimeGoblinLooter/loot on /nusoft daq logs.

#22 - 04/16/2020 06:19 PM - Arthur Kreymer

| used script ${NLO}/fix-gain to update the bulk of remaining full URL in calibration/GainReports.

| edited the ND and FD top level index.html files by hand.

| updated the calibration web page to point to /minos/data/web.
/web/sites/w/www-numi.fnal.gov/htdocs/workgrps/calib/index.html

| copied a few stray top level ${NUM} files to ${MDW}/maint.

All /nusoft/app/web/htdoc/minos files are now copied to /minos/data/web,
All /nusoft/app/web/htdoc/minos files have been moved down into MOVED/.

It no issues arise in a few weeks, we should remove the MOVED directory,
releasing the minos space in /nusoft/app.

#23 - 04/17/2020 08:44 AM - Arthur Kreymer

| removed the individual database symlinks in /nusoft/app/web/htdoc/minos
They are not used by the web server, and serve no purpose.

| added an overall database link to /minos/data/web/database,
to match the other moved directories.

| added an informational page at the top of nusoft/minos, named
MOVED-TO-minos.fnal.gov-data

#24 - 09/08/2020 07:02 PM - Arthur Kreymer

| was about to remove the MOVED files owned by mindata.

| checked for recent access, doing in MOVED

DIRS=$(find . maxdepth-1—type-d—usermindatafeut—e-3 | sort)

latesta() { find ${1} -type f -print0 | xargs -0 stat --format '%X :%x %n'\ | sort arfeut—a:—2 | head -3 ;}

for DIR in ${DIRS} ; do echo ; latesta ${DIR} ; done

| found a lot of currently accessed files.

This is probably because the files are leaking to we web, probably getting crawled.
| left the access open when migrating.

Time to cut it off.

Created MOVED/.htaccess with
Deny to All

05/03/2021

8/11


http://nusoft

This seems to work.

Will let this stew for another week, then removed the MOVED files owned by mindata.

#25 - 09/09/2020 04:17 PM - Arthur Kreymer

To evade web crawlers with a memory of the old webMOVED path
| renamed the /nuspft/app/web/htdoc/minos/MOVED directory to REMOVE.

date ; mv MOVED REMOVE
Wed Sep 9 16:14:05 CDT 2020

#26 - 09/14/2020 11:56 PM - Arthur Kreymer

Checked that there was no access to /nusoft/app/web/htdoc/minos/REMOVE
after this area was renamed away from web crawlers 09/ 09

cd /nusoft/app/web/htdoc/minos/REMOVE

latesta(

date ; t

Mon Sep

2020-09-
2020-09-
2020-09-
2020-09-
2020-09-
2020-09-
2020-09-
2020-09-
2020-09-
2020-09-

real
user

) { find ${1
| sort -nr | cut -d:

ime latesta

14 13:41:35

13 19:53:56.
09 15:01:36.
09 14:40:16.
08 18:54:36.
08 18:51:55.
08 18:51:54.
08 18:51:54.
08 18:51:54.
08 18:51:12.
08 18:48:38.

110m35.315s
Omll.619s

sys 2ml19.477s

} —-type f -atime -7 -print0 | xargs -0 stat —--format '$X :

—f2- | head ;

CDT 2020

083318657 -0500
461539942 -0500
906028775 -0500
536084254 -0500
015206715 -0500
980879245 -0500
934470887 —-0500
882108856 —-0500
927303804 -0500
307681913 -0500

}

o
b
o
=)
~

/.htaccess

./calibration/.htaccess

./Jjira/.htaccess
./WebDocs/HEAD/doxygen/loon/html/classMiniMaker-members.html
./DataQuality/xstyles/xprint.css
./DataQuality/xstyles/ximages/diamond-gray.gif
./DataQuality/xstyles/xstyle.css

./DataQuality/index.html

. /WebDocs/HEAD/doxygen/loon/html/classEVD.html
./auth/.htpasswd

We can remove content from REMOVE directories.

#27 - 09/19/2020 10:48 PM - Arthur Kreymer

There continues to be no recent read accesses to nusoft files but the top .htaccess

| have removed the following areas owned by mindata :

acclog auth beamdata beammonspill bfield bluwatch cal condor database DataQuality dcache maint mcas OldMinosLEDataQualityWebsite
OnlineMonitoring OnlineMonitoringFD OnlineMonitoring.old predator prodmon validation

calibration is hard to remove, as most directories are owned by tagg.

There were similar issues with other of these directories, but involving shared accounts,
or user files rather than directories. | was able to work around those issues.

There are a few more directories to deal with, not owned by mindata.

DIRECTORY OWNER REMOVED NOTES
calibration mindata
tagg no tagg items pending
controlroom minos no
images badgett no
jira minos no
MinosBatch_AtAGlance lena no lena account not available
vault minosraw no
WebDocs minossoft no

See full table of areas in https://cdcvs.fnal.gov/redmine/projects/admin/wiki/MNS-NUSOFT-WEB

#28 - 09/24/2020 06:04 PM - Arthur Kreymer

| removed all but the tagg files from calibration.
| sent email to tagg asking that the remaining files be removed :
Removal of relocated nusoft minos calibration files

We moved the calibration web pages

from /nusoft/app/web/htdoc/minos/calibration

to /minos/data/web/calibration

and moved the files out of the way to /nusoft/app/web/htdoc/minos/REMOVE

| am trying to remove the original nusoft files
but many directories are owned by user tagg.

At your convenience, could you please :

Login to tagg@minos-data.fnal.gov

cd /nusoft/app/web/htdoc/minos/REMOVE/calibration
rm -r NdLinearityFitWorkspace/*
rm -r FdLinearityFitWorkspace/*

This will take a little while, removing about 70 GB in 427768 files.
Thanks !

#29 - 09/25/2020 01:55 PM - Arthur Kreymer

Tagg, Nathaniel ntagg@otterbein.edu via fermicloud.onmicrosoft.com
9:44 AM (4 hours ago)

to redmine@fnal.gov, Art, rbpatter@caltech.edu, Robert, bckhouse@fnal.gov, jkn@fnal.gov, vito@fnal.gov, taga@fnal.gov, torretta@fnal.gov

tcarroll@fnal.gov, aurisano@fnal.gov

Hi Art,

Running that now. Thanks for your help.

#30 - 09/25/2020 01:56 PM - Arthur Kreymer

Thanks Nathaniel !

| have removed the REMOVE/calibration area.

We will need administrative help to remove REMOVE/MinosBatch_AtAGlance
#31 - 09/28/2020 02:44 PM - Arthur Kreymer

- Status changed from Work in progress to Resolved

We got access to images and MinosBatch_AtAGlance with RITM1024266.

| have removed the REMOVE area.

| updated https://cdcvs.fnal.gov/redmine/projects/admin/wiki/MNS-NUSOFT-WEB

| updated the 2020/03/19 note above, showing free space in /nusoft/app
There is now 573 GB free, formerly 243.

So Minos have freed up to 330 GB.
This is consistent with the 323395 Mbytes seen in June of 2019.

#32 - 04/29/2021 11:19 AM - Arthur Kreymer

I made a final reference copy of the nusoft minos cgi-bin files,
and removed the directory.

ssh minos@minos-data.fnal.gov
rm -r /nusoft/app/web/cgi-bin/minos ; date
rm: cannot remove \u2018/nusoft/app/web/cgi-bin/minos\u2019: Permission denied

Thu Apr 29 10:17:55 CDT 2021

1s -1d /nusoft/app/web/cgi-bin
drwxr-xr-x 6 nusoft nusoft 2048 Mar 25 2014 /nusoft/app/web/cgi-bin

nusoft@minos-data

05/03/2021
rmdir /nusoft/app/web/cgi-bin/minos ; date
Thu Apr 29 11:17:01 CDT 2021
